Package csb :: Package bio :: Package io :: Module dssp :: Class StrideParser

[frames] | no frames]

# Class StrideParser

source code

    object --+
             |
            StrideParser

Simple STRIDE Secondary Structure Parser.

Instance Methods

dict

parse(self, stride_file) Returns: a dictionary of ResidueAssignmentInfo objects | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### parse(self, stride_file)

source code

Parameters:
  - `stride_file` (str) - source STRIDE file to parse
Returns: dict
  a dictionary of ResidueAssignmentInfo objects